/*----- PROTECTED REGION ID(ConexAgpStateMachine.cpp) ENABLED START -----*/
static const char *RcsId = "$Id: ConexAgpStateMachine.cpp,v 1.1 2017-12-21 11:26:12 graziano Exp $";
//=============================================================================
//
// file :        ConexAgpStateMachine.cpp
//
// description : State machine file for the ConexAgp class
//
// project :     Newport ConexAgp Agilis-D controller
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
// $Author: graziano $
//
// $Revision: 1.1 $
// $Date: 2017-12-21 11:26:12 $
//
// $HeadURL:  $
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include <ConexAgp.h>

/*----- PROTECTED REGION END -----*/	//	ConexAgp::ConexAgpStateMachine.cpp

//================================================================
//  States  |  Description
//================================================================


namespace ConexAgp_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_Position_allowed()
 *	Description : Execution allowed for Position attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_Position_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Position attribute in Write access.
	/*----- PROTECTED REGION ID(ConexAgp::PositionStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::PositionStateAllowed_WRITE

	//	Not any excluded states for Position attribute in read access.
	/*----- PROTECTED REGION ID(ConexAgp::PositionStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::PositionStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_TargetPosition_allowed()
 *	Description : Execution allowed for TargetPosition attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_TargetPosition_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for TargetPosition attribute in read access.
	/*----- PROTECTED REGION ID(ConexAgp::TargetPositionStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::TargetPositionStateAllowed_READ
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_Homing_allowed()
 *	Description : Execution allowed for Homing attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_Homing_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Homing command.
	/*----- PROTECTED REGION ID(ConexAgp::HomingStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::HomingStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_Stop_allowed()
 *	Description : Execution allowed for Stop attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_Stop_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Stop command.
	/*----- PROTECTED REGION ID(ConexAgp::StopStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::StopStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_GetVersion_allowed()
 *	Description : Execution allowed for GetVersion attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_GetVersion_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for GetVersion command.
	/*----- PROTECTED REGION ID(ConexAgp::GetVersionStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::GetVersionStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_Reset_allowed()
 *	Description : Execution allowed for Reset attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_Reset_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Reset command.
	/*----- PROTECTED REGION ID(ConexAgp::ResetStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::ResetStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_Backward_allowed()
 *	Description : Execution allowed for Backward attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_Backward_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Backward command.
	/*----- PROTECTED REGION ID(ConexAgp::BackwardStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::BackwardStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_Forward_allowed()
 *	Description : Execution allowed for Forward attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_Forward_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Forward command.
	/*----- PROTECTED REGION ID(ConexAgp::ForwardStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::ForwardStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_Enable_allowed()
 *	Description : Execution allowed for Enable attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_Enable_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Enable command.
	/*----- PROTECTED REGION ID(ConexAgp::EnableStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::EnableStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : ConexAgp::is_Disable_allowed()
 *	Description : Execution allowed for Disable attribute
 */
//--------------------------------------------------------
bool ConexAgp::is_Disable_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Disable command.
	/*----- PROTECTED REGION ID(ConexAgp::DisableStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	ConexAgp::DisableStateAllowed
	return true;
}


/*----- PROTECTED REGION ID(ConexAgp::ConexAgpStateAllowed.AdditionalMethods) ENABLED START -----*/

//	Additional Methods

/*----- PROTECTED REGION END -----*/	//	ConexAgp::ConexAgpStateAllowed.AdditionalMethods

}	//	End of namespace
